Skip to main content
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
Retrieve functions by a type for a given definition
curl --request GET \
  --url 'https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}?hapikey='
{
  "functionSource": "<string>",
  "functionType": "POST_ACTION_EXECUTION",
  "id": "<string>"
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The ID of the app associated with the function.

definitionId
string
required

The ID of the definition associated with the function.

functionType
enum<string>
required

The type of function to retrieve, with accepted values: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Response

successful operation

functionSource
string
required

The source code or script that defines the function's behavior.

functionType
enum<string>
required

The type of function, with accepted values: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

The unique identifier for the action function.

Last modified on February 12, 2026